{"swagger":"2.0","info":{"description":"99DPF API Service App","version":"1.0.0","title":"99DPF API Service App Documentation"},"tags":[{"name":"99DPF API's Doc","description":"99DPF API's"}],"paths":{"/auth/signup":{"post":{"tags":["auth"],"summary":"Auth signup post API","description":"","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Auth signup post API","required":true,"schema":{"$ref":"#/definitions/AuthSignUpRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/AuthSignUpResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/auth/signin":{"post":{"tags":["auth"],"summary":"Auth signin post API","description":"","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Auth signin post API","required":true,"schema":{"$ref":"#/definitions/AuthSignInRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/AuthSignInResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/auth/forgot-password":{"post":{"tags":["auth"],"summary":"Auth forgot-password post API","description":"","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Auth forgot-password post API","required":true,"schema":{"$ref":"#/definitions/AuthForgotPasswordRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/AuthForgotPasswordResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/auth/reset-password":{"post":{"tags":["auth"],"summary":"Auth reset-password post API","description":"","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Auth reset-password post API","required":true,"schema":{"$ref":"#/definitions/AuthResetPasswordRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/AuthResetPasswordResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/customer/signup":{"post":{"tags":["customer"],"summary":"Customer signup post API","description":"","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Customer signup post API","required":true,"schema":{"$ref":"#/definitions/CustomerSignUpRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/CustomerSignUpResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/customer/signin":{"post":{"tags":["customer"],"summary":"Customer signin post API","description":"","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Customer signin post API","required":true,"schema":{"$ref":"#/definitions/CustomerSignInRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/CustomerSignInResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/customer/forgot-password":{"post":{"tags":["customer"],"summary":"Customer forgot-password post API","description":"","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Customer forgot-password post API","required":true,"schema":{"$ref":"#/definitions/CustomerForgotPasswordRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/CustomerForgotPasswordResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/customer/getCustomerById":{"get":{"summary":"Customer getCustomerById get api","description":"Token is required in header","consumes":["application/json"],"tags":["customer"],"parameters":[{"in":"query","name":"customerId","required":true,"type":"string","description":"customerId is required"}],"responses":{"200":{"description":"200 success response","schema":{"$ref":"#/definitions/CustomerDetailResponse"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}},"produces":["application/json"]}},"/customer/updateCustomer":{"post":{"tags":["customer"],"summary":"Customer updateCustomer post API","description":"Token is required in header","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Customer updateCustomer post API","required":true,"schema":{"$ref":"#/definitions/CustomerUpdateRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/CustomerUpdateResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/customer/getSignedURL":{"post":{"tags":["customer"],"summary":"Customer getSignedURL get API","description":"","produces":["application/json"],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/CustomerGetSignedResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/customer/uploadProfileImage":{"post":{"tags":["customer"],"summary":"Customer uploadProfileImage post API","description":"Token is required in header","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Customer uploadProfileImage post API","required":true,"schema":{"$ref":"#/definitions/CustomerUploadProfileImageRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/CustomerUploadProfileImageResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/customer/updateCustomerSetting":{"post":{"tags":["customer"],"summary":"Customer updateCustomerSetting post API","description":"Token is required in header","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Customer updateCustomerSetting post API","required":true,"schema":{"$ref":"#/definitions/UpdateCustomerSettingRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/UpdateCustomerSettingResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/customer/socialMediaLogin":{"post":{"tags":["customer"],"summary":"Customer socialMediaLogin post API","description":"","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Customer socialMediaLogin post API","required":true,"schema":{"$ref":"#/definitions/SocialMediaLoginRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/SocialMediaLoginResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/customer/socialMediaSignup":{"post":{"tags":["customer"],"summary":"Customer socialMediaSignup post API","description":"","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Customer socialMediaSignup post API","required":true,"schema":{"$ref":"#/definitions/SocialMediaSignupRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/SocialMediaSignupResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/customer/resetPassword":{"post":{"tags":["customer"],"summary":"Customer resetPassword post API","description":"","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Customer resetPassword post API","required":true,"schema":{"$ref":"#/definitions/ResetPasswordRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/ResetPasswordResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ResetPasswordErrorResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/customer/forgotPassword":{"post":{"tags":["customer"],"summary":"Customer forgotPassword post API","description":"","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Customer forgotPassword post API","required":true,"schema":{"$ref":"#/definitions/ForgotPasswordRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/ForgotPasswordResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/customer/checkOTP":{"post":{"tags":["customer"],"summary":"Customer checkOTP post API","description":"","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Customer checkOTP post API","required":true,"schema":{"$ref":"#/definitions/CustomerCheckOtpRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/CustomerCheckOtpResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/customer/deleteRequest":{"post":{"tags":["customer"],"summary":"Customer deleteRequest post API","description":"Token is required in header","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Customer deleteRequest post API","required":true,"schema":{"$ref":"#/definitions/CustomerDeleteRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/CustomerDeleteResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/customer/signOut":{"post":{"tags":["customer"],"summary":"Customer signOut post API","description":"Token is required in header","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Customer signOut post API","required":true,"schema":{"$ref":"#/definitions/CustomerSignOutRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/CustomerSignOutResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/customer/reset-password":{"post":{"tags":["customer"],"summary":"Customer reset-password post API by email link","description":"","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Customer reset-password post API by email link","required":true,"schema":{"$ref":"#/definitions/CustomerUpdatePasswordRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/CustomerUpdatePasswordResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/partner/profile":{"get":{"summary":"Partner profile get API","description":"","consumes":["application/json"],"tags":["partner"],"parameters":[{"in":"query","name":"partner_id","required":true,"type":"integer","description":"partner_id is required"}],"responses":{"200":{"description":"200 success response","schema":{"$ref":"#/definitions/PartnerDetailResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}},"produces":["application/json"]}},"/partner/login":{"post":{"tags":["partner"],"summary":"Partner login api","description":"","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Partner login","required":true,"schema":{"$ref":"#/definitions/PartnerLoginRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/PartnerLoginResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/PartnerErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/partner/profile_edit/:{partnerId}":{"patch":{"tags":["partner"],"summary":"Partner update profile api","description":"","consumes":["application/json"],"produces":["application/json"],"operationId":"partnerId","parameters":[{"in":"path","name":"partnerId","description":"PartnerId is required","required":true,"type":"integer"},{"in":"body","name":"body","description":"body payload","required":true,"schema":{"$ref":"#/definitions/PartnerUpdateProfileRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/PartnerUpdateProfileResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/PartnerErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/partner/profile_picture_edit":{"post":{"tags":["partner"],"summary":"Partner profile picture edit","description":"","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"body payload","required":true,"schema":{"$ref":"#/definitions/PartnerProfilePictureEditRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/PartnerProfilePictureEditResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/PartnerErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/partnerRequest/create":{"post":{"tags":["partner request"],"summary":"partnerRequest create post API","description":"Token is required in header","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"partnerRequest create post API","required":true,"schema":{"$ref":"#/definitions/PartnerRequestRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/PartnerRequestResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/address/getServiceAddress":{"get":{"summary":"Address getServiceAddress get API","description":"Token is required in header","consumes":["application/json"],"tags":["address"],"parameters":[{"name":"service_id","in":"query","description":"service_id is required","required":true,"type":"string"},{"name":"latitude","in":"query","description":"latitude is required","required":true,"type":"integer"},{"name":"longitude","in":"query","description":"longitude is required","required":true,"type":"integer"}],"responses":{"200":{"description":"200 success response","schema":{"$ref":"#/definitions/GetServiceAddressResponse"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}},"produces":["application/json"]}},"/address/getCustomerAddress":{"get":{"summary":"Address getCustomerAddress get api","description":"Token is required in header","consumes":["application/json"],"tags":["address"],"parameters":[{"name":"customer_id","in":"query","description":"customer_id is required","required":true,"type":"string"}],"responses":{"200":{"description":"200 success response","schema":{"$ref":"#/definitions/GetCustomerAddressResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}},"produces":["application/json"]}},"/address/addAddress":{"post":{"tags":["address"],"summary":"Address addAddress post API","description":"Token is required in header","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Address addAddress post API","required":true,"schema":{"$ref":"#/definitions/CustomerAddressAddRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/CustomerAddressAddResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/address/getCustomerAddressById":{"get":{"summary":"Address getCustomerAddressById get API","description":"Token is required in header","consumes":["application/json"],"tags":["address"],"parameters":[{"in":"query","name":"address_id","required":true,"type":"string","description":"address_id is required"}],"responses":{"200":{"description":"200 success response","schema":{"$ref":"#/definitions/GetCustomerAddressByIdResponse"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}},"produces":["application/json"]}},"/address/updateAddress":{"post":{"tags":["address"],"summary":"Address updateAddress post API","description":"Token is required in header","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Address updateAddress post API","required":true,"schema":{"$ref":"#/definitions/UpdateAddressRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/UpdateAddressResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/address/deleteAddress":{"post":{"tags":["address"],"summary":"Address deleteAddress post API","description":"Token is required in header","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Address deleteAddress post API","required":true,"schema":{"$ref":"#/definitions/DeleteAddressRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/DeleteAddressResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/address/getBillingAddress":{"get":{"summary":"Address getBillingAddress get API","description":"TOken is required in header","consumes":["application/json"],"tags":["address"],"parameters":[{"name":"customer_id","in":"query","description":"customer_id is required","required":true,"type":"integer"}],"responses":{"200":{"description":"200 success response","schema":{"$ref":"#/definitions/GetBillingAddressResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}},"produces":["application/json"]}},"/address/getNearByPickupAddress":{"post":{"tags":["address"],"summary":"Address getNearByPickupAddress post API","description":"Toke is required in header","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Address getNearByPickupAddress post API","required":true,"schema":{"$ref":"#/definitions/GetNearByPickupAddressRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/GetNearByPickupAddressResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/cart/create":{"post":{"tags":["cart"],"summary":"Cart create post API","description":"Token is required in header","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Cart create post API","required":true,"schema":{"$ref":"#/definitions/CartCreateRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/CartCreateResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/cart/getCart":{"get":{"summary":"Cart getCart get API","description":"Token is required in header","consumes":["application/json"],"tags":["cart"],"parameters":[{"name":"customer_id","in":"query","description":"customer_id is required","required":true,"type":"integer"}],"responses":{"200":{"description":"200 success response","schema":{"$ref":"#/definitions/GetCartResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}},"produces":["application/json"]}},"/cart/deleteCart":{"post":{"tags":["cart"],"summary":"Cart deleteCart post API","description":"Token is required in header","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Cart deleteCart post API","required":true,"schema":{"$ref":"#/definitions/DeleteCartRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/DeleteCartResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/cart/getCartTotalAmount":{"get":{"summary":"Cart getCartTotalAmount get API","description":"","consumes":["application/json"],"tags":["cart"],"parameters":[{"name":"customer_id","in":"query","description":"customer_id is required in query params","required":true,"type":"integer"}],"responses":{"200":{"description":"200 success response","schema":{"$ref":"#/definitions/GetCartTotalAmountResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}},"produces":["application/json"]}},"/cart/updateAddress":{"post":{"tags":["cart"],"summary":"Cart updateAddress post API","description":"","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Cart updateAddress post API","required":true,"schema":{"$ref":"#/definitions/UpdateCartAddressRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/UpdateCartAddressResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/category/getCategoryByServiceId":{"get":{"summary":"Category getCategoryByServiceId get API","description":"Token is required in header","consumes":["application/json"],"tags":["category"],"parameters":[{"name":"service_id,address_id,address_type","in":"query","description":"service_id,address_id,address_type are required in query params","required":true,"type":"string"}],"responses":{"200":{"description":"200 success response","schema":{"$ref":"#/definitions/GetCategoryByServiceIdResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}},"produces":["application/json"]}},"/config/getAppConfig":{"get":{"summary":"Config getAppConfig post API","description":"Token is required in header","consumes":["application/json"],"tags":["config"],"parameters":[{"name":"app_name","in":"query","description":"app_name are required.","required":true,"type":"string"}],"responses":{"200":{"description":"200 success response","schema":{"$ref":"#/definitions/GetAppConfigResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}},"produces":["application/json"]}},"/config/getBannerImages":{"get":{"summary":"Config getBannerImages get API","description":"","consumes":["application/json"],"tags":["config"],"responses":{"200":{"description":"200 success response","schema":{"$ref":"#/definitions/GetBannerImagesResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}},"produces":["application/json"]}},"/config/getFAQ":{"get":{"summary":"Config getFAQ post API","description":"Token is required in header","consumes":["application/json"],"tags":["config"],"responses":{"200":{"description":"200 success response","schema":{"$ref":"#/definitions/GetFAQResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}},"produces":["application/json"]}},"/config/submitFeatureRequest":{"post":{"tags":["config"],"summary":"Config submitFeatureRequest post API","description":"Token is required in header","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Config submitFeatureRequest post API","required":true,"schema":{"$ref":"#/definitions/SubmitFeatureRequestRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/SubmitFeatureRequestResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/config/getServiceArea":{"get":{"summary":"config getServiceArea get API","description":"Token is required in header","consumes":["application/json"],"tags":["config"],"responses":{"200":{"description":"200 success response","schema":{"$ref":"#/definitions/GetServiceAreaResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}},"produces":["application/json"]}},"/config/getFormCopy":{"get":{"summary":"Config getFormCopy get API","description":"Token is required in header","consumes":["application/json"],"tags":["config"],"responses":{"200":{"description":"200 success response","schema":{"$ref":"#/definitions/GetFormCopyResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}},"produces":["application/json"]}},"/config/getFormCopyByName":{"get":{"summary":"Config getFormCopyByName","description":"Token is required in header","consumes":["application/json"],"tags":["config"],"parameters":[{"name":"formName","in":"query","description":"formName is required.","required":true,"type":"string"}],"responses":{"200":{"description":"200 success response","schema":{"$ref":"#/definitions/GetFormCopyByNameResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}},"produces":["application/json"]}},"/config/becomePartner":{"post":{"tags":["config"],"summary":"Config becomePartner post API","description":"Token is required in header","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Config becomePartner post AP","required":true,"schema":{"$ref":"#/definitions/BecomePartnerRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/BecomePartnerResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/config/getPrivacyPolicy":{"get":{"summary":"Config getPrivacyPolicy get API","description":"Token is required in header","consumes":["application/json"],"tags":["config"],"responses":{"200":{"description":"200 success response","schema":{"$ref":"#/definitions/GetPrivacyPolicyResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}},"produces":["application/json"]}},"/config/getTermsConditions":{"get":{"summary":"config getTermsConditions get API","description":"Token is required in header","consumes":["application/json"],"tags":["config"],"responses":{"200":{"description":"200 success response","schema":{"$ref":"#/definitions/GetTermsConditionsResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}},"produces":["application/json"]}},"/deals/checkPromoCode":{"post":{"tags":["deals"],"summary":"Deals checkPromoCode post API","description":"Token is required in header","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Deals checkPromoCode post API","required":true,"schema":{"$ref":"#/definitions/CheckPromoCodeRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/CheckPromoCodeResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/deals/getDeals":{"get":{"tags":["deals"],"summary":"Deals getDeals get API","description":"Token is required in header","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"limit","in":"query","description":"limit is required","required":true,"type":"integer"},{"name":"offset","in":"query","description":"offset is required","required":true,"type":"integer"}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/GetDealsResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/order/create":{"post":{"tags":["order"],"summary":"Order create post API","description":"Token is required in header","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Order create post API","required":true,"schema":{"$ref":"#/definitions/CreateOrderRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/CreateOrderResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/order/getOrderItems":{"get":{"tags":["order"],"summary":"Order getOrderItems get API","description":"Token is required in header","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"order_id","in":"query","description":"order_id is required","required":true,"type":"integer"}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/GetOrderItemsResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/order/getOrder":{"post":{"tags":["order"],"summary":"Order getOrder post API","description":"Token is required in header","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Order getOrder post API","required":true,"schema":{"$ref":"#/definitions/GetOrderRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/GetOrderResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/order/getOrderStatus":{"get":{"tags":["order"],"summary":"Order getOrderStatus get API","description":"Token is required in header","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"order_id","in":"query","description":"order_id is required","required":true,"type":"integer"}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/GetOrderStatusResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/order/getPartnerOrder":{"post":{"tags":["order"],"summary":"Order getPartnerOrder post API","description":"","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Order getPartnerOrder post API","required":true,"schema":{"$ref":"#/definitions/GetPartnerOrderRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/GetPartnerOrderResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/order/getOrderStatusList":{"get":{"tags":["order"],"summary":"Order getOrderStatusList get API","description":"","consumes":["application/json"],"produces":["application/json"],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/GetOrderStatusListResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/order/updateOrder":{"post":{"tags":["order"],"summary":"Order updateOrder post API","description":"","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Order updateOrder post API","required":true,"schema":{"$ref":"#/definitions/UpdateOrderRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/UpdateOrderResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/order/getDashboardOrderCount":{"get":{"tags":["order"],"summary":"Order getDashboardOrderCount get API","description":"","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"partner_id","in":"query","description":"partner_id is required","required":true,"type":"integer"}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/GetDashboardOrderCountResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/order/getAssignOrder":{"post":{"tags":["order"],"summary":"Order getAssignOrder post API","description":"","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Order getAssignOrder post API","required":true,"schema":{"$ref":"#/definitions/GetAssignOrderRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/GetAssignOrderResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/payment/getPaymentMethods":{"get":{"tags":["payment"],"summary":"Payment getPaymentMethods get API","description":"Token is required in header","consumes":["application/json"],"produces":["application/json"],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/GetPaymentMethodsResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/payment/stripePayment":{"post":{"tags":["payment"],"summary":"Payment stripePayment post API","description":"Token is required in header","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Payment stripePayment post API","required":true,"schema":{"$ref":"#/definitions/StripePaymentRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/StripePaymentResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/payment/recaptcha":{"post":{"tags":["payment"],"summary":"Payment recaptcha post API","description":"Token is required in header","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Payment recaptcha post API","required":true,"schema":{"$ref":"#/definitions/RecaptchaRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/RecaptchaResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/product/getProductByCategoryId":{"post":{"tags":["product"],"summary":"Product getProductByCategoryId post API","description":"Token is required in header","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Product getProductByCategoryId post API","required":true,"schema":{"$ref":"#/definitions/GetProductByCategoryIdRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/GetProductByCategoryIdResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/product/getAddOnProduct":{"post":{"tags":["product"],"summary":"Product getAddOnProduct post API","description":"Token is required in header","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Product getAddOnProduct post API","required":true,"schema":{"$ref":"#/definitions/GetAddOnProductRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/GetAddOnProductResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/requestServiceArea/create":{"post":{"tags":["request service area"],"summary":"RequestServiceArea create post API","description":"Token is required in header","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"RequestServiceArea create post API","required":true,"schema":{"$ref":"#/definitions/RequestServiceAreaRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/RequestServiceAreaResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/service/getService":{"get":{"tags":["service"],"summary":"service getService get API","description":"Token is required in header","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"parent_id","in":"query","description":"partner_id is optional","required":false,"type":"string"},{"name":"service_type_key","in":"query","description":"service_type_key is optional","required":false,"type":"string"},{"name":"address_id","in":"query","description":"address_id is optional","required":false,"type":"string"},{"name":"address_type","in":"query","description":"address_type is optional","required":false,"type":"string"}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/GetServiceResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/service/getAddOnService":{"get":{"tags":["service"],"summary":"Service getAddOnService get API","description":"Token is required in header","consumes":["application/json"],"produces":["application/json"],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/GetAddOnServiceResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/wallet/getCustomerWallet":{"get":{"tags":["wallet"],"summary":"Wallet getCustomerWallet get API","description":"Token is required in header","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"customer_id","in":"query","description":"customer_id is required","required":true,"type":"string"}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/GetCustomerWalletResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/wallet/walletPayment":{"post":{"tags":["wallet"],"summary":"Wallet walletPayment post API","description":"Token is required in header","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Wallet walletPayment post API","required":true,"schema":{"$ref":"#/definitions/WalletPaymentRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/WalletPaymentResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/wallet/addWallet":{"post":{"tags":["wallet"],"summary":"Wallet addWallet post API","description":"Token is required in header","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Wallet addWallet post API","required":true,"schema":{"$ref":"#/definitions/AddWalletRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/AddWalletResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/wallet/addCard":{"post":{"tags":["wallet"],"summary":"Wallet addCard post API","description":"Token is required in header","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Wallet addCard post API","required":true,"schema":{"$ref":"#/definitions/AddCardRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/AddCardResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/wallet/getCard":{"get":{"summary":"Wallet getCard get API","description":"Token is required in header","consumes":["application/json"],"tags":["wallet"],"parameters":[{"name":"customer_id","in":"query","description":"customer_id","required":true,"type":"number"}],"responses":{"200":{"description":"200 success response","schema":{"$ref":"#/definitions/GetCardResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}},"produces":["application/json"]}},"/wallet/editCard":{"post":{"tags":["wallet"],"summary":"Wallet editCard post API","description":"Token is required in header","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Wallet editCard post API","required":true,"schema":{"$ref":"#/definitions/EditCardRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/EditCardResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}},"/wallet/deleteCard":{"post":{"tags":["wallet"],"summary":"Wallet deleteCard post API","description":"Token is required in header","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Wallet deleteCard post API","required":true,"schema":{"$ref":"#/definitions/DeleteCardRequestModel"}}],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/DeleteCardResponseModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"400":{"description":"400 response: Bad Request","schema":{"$ref":"#/definitions/ErrorCommonModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}},"500":{"description":"500 response: Internal Server Error","schema":{"$ref":"#/definitions/EmptyModel"},"headers":{"Access-Control-Allow-Origin":{"type":"string"}}}}}}},"definitions":{"EmptyModel":{"type":"object","title":"Empty Schema"},"ErrorCommonModel":{"type":"object","properties":{"error":{"type":"string"}}},"PartnerErrorCommonModel":{"type":"object","properties":{"error":{"type":"string"},"message":{"type":"string"},"status":{"type":"integer"}}},"AuthSignUpRequestModel":{"type":"object","required":["organizationName","name","phone","email","password","confirmPassword"],"properties":{"organizationName":{"type":"string"},"name":{"type":"string"},"phone":{"type":"string"},"email":{"type":"string"},"password":{"type":"string"},"confirmPassword":{"type":"string"},"userLoginType":{"type":"string"}}},"AuthSignUpResponseModel":{"type":"object","properties":{"token":{"type":"string"},"permission":{"type":"string"},"user":{"type":"object"}}},"AuthSignInRequestModel":{"type":"object","required":["email","password"],"properties":{"email":{"type":"string"},"password":{"type":"string"},"rememberMe":{"type":"boolean"}}},"AuthSignInResponseModel":{"type":"object","properties":{"token":{"type":"string"},"permission":{"type":"string"}}},"AuthForgotPasswordRequestModel":{"type":"object","required":["email"],"properties":{"email":{"type":"string"}}},"AuthForgotPasswordResponseModel":{"type":"object","properties":{"message":{"type":"string"}}},"AuthResetPasswordRequestModel":{"type":"object","required":["emailToken","password","confirmPassword"],"properties":{"emailToken":{"type":"string"},"password":{"type":"string"},"confirmPassword":{"type":"string"}}},"AuthResetPasswordResponseModel":{"type":"object","properties":{"message":{"type":"string"}}},"CustomerSignUpRequestModel":{"type":"object","required":["customer_name","phone_number","email","password","fcm_token","device_id","device_type"],"properties":{"customer_name":{"type":"string"},"phone_number":{"type":"string"},"email":{"type":"string"},"password":{"type":"string"},"company_name":{"type":"string"},"fcm_token":{"type":"string"},"device_id":{"type":"string"},"device_type":{"type":"string"}}},"CustomerSignUpResponseModel":{"type":"object","properties":{"user":{"type":"object"}}},"CustomerSignInRequestModel":{"type":"object","required":["email","password","fcm_token","device_id","device_type"],"properties":{"email":{"type":"string"},"password":{"type":"string"},"fcm_token":{"type":"string"},"device_id":{"type":"string"},"device_type":{"type":"string"}}},"CustomerSignInResponseModel":{"type":"object","properties":{"user":{"type":"object"}}},"CustomerForgotPasswordRequestModel":{"type":"object","required":["email"],"properties":{"email":{"type":"string"}}},"CustomerForgotPasswordResponseModel":{"type":"object","properties":{"message":{"type":"string"}}},"CustomerResetPasswordRequestModel":{"type":"object","required":["password","customer_id","confirmPassword"],"properties":{"emailToken":{"type":"string"},"password":{"type":"string"},"customer_id":{"type":"integer"},"confirmPassword":{"type":"string"}}},"CustomerResetPasswordResponseModel":{"type":"object","properties":{"message":{"type":"string"}}},"CustomerDetailResponse":{"type":"object"},"CustomerUpdateRequestModel":{"type":"object","required":["customer_id","customer_name","phone_number","email"],"properties":{"customer_id":{"type":"integer"},"customer_name":{"type":"string"},"phone_number":{"type":"string"},"email":{"type":"string"},"company_name":{"type":"string"}}},"CustomerUpdateResponseModel":{"type":"object","properties":{"message":{"type":"string"}}},"CustomerGetSignedResponseModel":{"type":"object"},"CustomerUploadProfileImageRequestModel":{"type":"object","required":["customer_id","file"],"properties":{"customer_id":{"type":"integer"},"file":{"type":"object"}}},"CustomerUploadProfileImageResponseModel":{"type":"object","properties":{"message":{"type":"string"}}},"UpdateCustomerSettingRequestModel":{"type":"object","required":["customer_id"],"properties":{"customer_id":{"type":"integer"},"is_notification_active":{"type":"boolean"},"language":{"type":"string"},"fcm_token":{"type":"string"}}},"UpdateCustomerSettingResponseModel":{"type":"object","properties":{"message":{"type":"string"}}},"SocialMediaLoginRequestModel":{"type":"object","required":["email","fcm_token","customer_name","type","login_type","sso_id"],"properties":{"email":{"type":"string"},"fcm_token":{"type":"string"},"customer_name":{"type":"string"},"type":{"type":"string"},"login_type":{"type":"string","example":"google,facebook,apple"},"sso_id":{"type":"string"}}},"SocialMediaLoginResponseModel":{"type":"object","properties":{"user":{"type":"object"}}},"SocialMediaSignupRequestModel":{"type":"object","required":["email","fcm_token","customer_name","device_id","device_type"],"properties":{"email":{"type":"string"},"fcm_token":{"type":"string"},"customer_name":{"type":"string"},"device_id":{"type":"string"},"device_type":{"type":"string"}}},"SocialMediaSignupResponseModel":{"type":"object","properties":{"user":{"type":"object"}}},"ResetPasswordRequestModel":{"type":"object","required":["customer_id","password","confirmPassword"],"properties":{"emailToken":{"type":"string"},"customer_id":{"type":"integer"},"password":{"type":"string"},"confirmPassword":{"type":"string"}}},"ResetPasswordResponseModel":{"type":"object","properties":{"message":{"type":"string"}}},"ResetPasswordErrorResponseModel":{"type":"object","properties":{"message":{"type":"string"}}},"ForgotPasswordRequestModel":{"type":"object","required":["email"],"properties":{"email":{"type":"string"}}},"ForgotPasswordResponseModel":{"type":"object","properties":{"message":{"type":"string"}}},"CustomerCheckOtpRequestModel":{"type":"object","required":["email","otp"],"properties":{"email":{"type":"string"},"otp":{"type":"string"}}},"CustomerCheckOtpResponseModel":{"type":"object"},"CustomerDeleteRequestModel":{"type":"object","required":["email","customer_id","reason"],"properties":{"email":{"type":"string"},"customer_id":{"type":"integer"},"reason":{"type":"string"}}},"CustomerDeleteResponseModel":{"type":"object","properties":{"message":{"type":"string"}}},"CustomerSignOutRequestModel":{"type":"object","required":["customer_id"],"properties":{"customer_id":{"type":"string"}}},"CustomerSignOutResponseModel":{"type":"object","properties":{"message":{"type":"string"}}},"CustomerUpdatePasswordRequestModel":{"type":"object","required":["email","code","password","confirmPassword"],"properties":{"email":{"type":"string"},"code":{"type":"string"},"password":{"type":"string"},"confirmPassword":{"type":"string"}}},"CustomerUpdatePasswordResponseModel":{"type":"object","properties":{"msg":{"type":"string"}}},"PartnerDetailResponseModel":{"type":"object"},"PartnerRequestRequestModel":{"type":"object","required":["name","company_name","phone_number","email","service_ids"],"properties":{"name":{"type":"string"},"company_name":{"type":"string"},"phone_number":{"type":"string"},"email":{"type":"string"},"service_ids":{"type":"array","items":{"type":"integer"}}}},"PartnerRequestResponseModel":{"type":"object","properties":{"message":{"type":"string"}}},"GetServiceAddressResponse":{"type":"array","items":{"type":"object"}},"GetCustomerAddressResponseModel":{"type":"object"},"CustomerAddressAddRequestModel":{"type":"object","required":["customer_id","address","address_name","latitude","line_1","longitude","pin_code","city_long_name","city_short_name","state_long_name","state_short_name","country_long_name","country_short_name","is_default_billing"],"properties":{"customer_id":{"type":"string"},"address":{"type":"string"},"address_name":{"type":"string"},"latitude":{"type":"string"},"line_1":{"type":"string"},"longitude":{"type":"string"},"pin_code":{"type":"string"},"city_long_name":{"type":"string"},"city_short_name":{"type":"string"},"state_long_name":{"type":"string"},"state_short_name":{"type":"string"},"country_long_name":{"type":"string"},"country_short_name":{"type":"string"},"is_default_billing":{"type":"boolean"},"line_2":{"type":"string"},"address_note":{"type":"string"}}},"CustomerAddressAddResponseModel":{"type":"object","properties":{"mesage":{"type":"string"}}},"GetCustomerAddressByIdResponse":{"type":"object"},"UpdateAddressRequestModel":{"type":"object","required":["customer_id","address_id","city_long_name","is_default_billing","line_1","pin_code","state_long_name","state_short_name","address_name"],"properties":{"customer_id":{"type":"integer"},"address_id":{"type":"integer"},"city_long_name":{"type":"string"},"is_default_billing":{"type":"boolean"},"line_1":{"type":"string"},"line_2":{"type":"string"},"pin_code":{"type":"string"},"state_long_name":{"type":"string"},"state_short_name":{"type":"string"},"address_name":{"type":"string"},"address_note":{"type":"string"}}},"UpdateAddressResponseModel":{"type":"object","properties":{"message":{"type":"string"}}},"DeleteAddressRequestModel":{"type":"object","required":["address_id"],"properties":{"address_id":{"type":"string"}}},"DeleteAddressResponseModel":{"type":"object","properties":{"message":{"type":"string"}}},"GetBillingAddressResponseModel":{"type":"object"},"GetNearByPickupAddressRequestModel":{"type":"object","required":["latitude","longitude","service_id"],"properties":{"latitude":{"type":"integer"},"longitude":{"type":"integer"},"service_id":{"type":"integer"}}},"GetNearByPickupAddressResponseModel":{"type":"object"},"CartCreateRequestModel":{"type":"object","required":["customer_id","product_id","quantity","amount","is_selected","product_tab","service_id"],"properties":{"customer_id":{"type":"integer"},"product_id":{"type":"integer"},"quantity":{"type":"integer"},"amount":{"type":"integer"},"is_selected":{"type":"boolean"},"product_tab":{"type":"integer"},"address_id":{"type":"integer"},"service_id":{"type":"integer"},"product_fee_name":{"type":"string"},"product_fee_amount":{"type":"integer"}}},"CartCreateResponseModel":{"type":"object","properties":{"message":{"type":"string"}}},"GetCartResponseModel":{"type":"object"},"DeleteCartRequestModel":{"type":"object","required":["isBulkDelete"],"properties":{"isBulkDelete":{"type":"boolean"},"cart_id":{"type":"integer"},"customer_id":{"type":"integer"},"product_id":{"type":"integer"}}},"DeleteCartResponseModel":{"type":"object","properties":{"message":{"type":"string"}}},"GetCartTotalAmountResponseModel":{"type":"object"},"UpdateCartAddressRequestModel":{"type":"object","required":["customer_id","address_id"],"properties":{"customer_id":{"type":"integer"},"address_id":{"type":"integer"}}},"UpdateCartAddressResponseModel":{"type":"object","properties":{"message":{"type":"string"}}},"GetCategoryByServiceIdResponseModel":{"type":"object"},"GetAppConfigResponseModel":{"type":"object"},"GetBannerImagesResponseModel":{"type":"object"},"GetFAQResponseModel":{"type":"object"},"SubmitFeatureRequestRequestModel":{"type":"object","required":["customer_id","description"],"properties":{"customer_id":{"type":"integer"},"subject":{"type":"string"},"description":{"type":"integer"}}},"SubmitFeatureRequestResponseModel":{"type":"object","properties":{"message":{"type":"string"}}},"GetServiceAreaResponseModel":{"type":"array","items":{"type":"object"}},"GetFormCopyResponseModel":{"type":"object"},"GetFormCopyByNameResponseModel":{"type":"object"},"BecomePartnerRequestModel":{"type":"object","required":["name","companyName","mobileNumber","email"],"properties":{"name":{"type":"string"},"companyName":{"type":"string"},"mobileNumber":{"type":"string"},"email":{"type":"string"}}},"BecomePartnerResponseModel":{"type":"object","properties":{"message":{"type":"string"}}},"GetPrivacyPolicyResponseModel":{"type":"object"},"GetTermsConditionsResponseModel":{"type":"object"},"GetDealsResponseModel":{"type":"object"},"CheckPromoCodeRequestModel":{"type":"object","required":["promo_code","customer_id","product_ids","service_id"],"properties":{"promo_code":{"type":"string"},"customer_id":{"type":"integer"},"product_ids":{"type":"array","items":{"type":"integer"}}}},"CheckPromoCodeResponseModel":{"type":"object","properties":{"discount":{"type":"integer"},"deals":{"type":"object"}}},"CreateOrderRequestModel":{"type":"object","required":["customer_id","address_id","pickup_date","total","sub_total","payment_mode","products","service_id","billing_address_id"],"properties":{"customer_id":{"type":"integer"},"address_id":{"type":"integer"},"pickup_date":{"type":"string"},"pickup_time":{"type":"string"},"delivery_date":{"type":"string"},"delivery_time":{"type":"string"},"total":{"type":"integer"},"discount":{"type":"integer"},"sub_total":{"type":"integer"},"delivery_cost":{"type":"integer"},"deals_id":{"type":"integer"},"delivered_by":{"type":"integer"},"payment_mode":{"type":"string"},"products":{"type":"array","items":{"type":"integer"}},"service_id":{"type":"integer"},"service_addon_name":{"type":"string"},"service_addon_amount":{"type":"integer"},"order_name":{"type":"string"},"customer_comments":{"type":"integer"},"billing_address_id":{"type":"integer"}}},"CreateOrderResponseModel":{"type":"object","properties":{"message":{"type":"string"},"order_id":{"type":"object"}}},"GetOrderItemsResponseModel":{"type":"array","items":{"type":"object"}},"GetOrderRequestModel":{"type":"object","required":["offset","limit","customer_id","isStatusWithComplete"],"properties":{"offset":{"type":"integer"},"limit":{"type":"integer"},"customer_id":{"type":"integer"},"isStatusWithComplete":{"type":"boolean"}}},"GetOrderResponseModel":{"type":"object","properties":{"getOrder":{"type":"array","items":{"type":"object"}},"count":{"type":"integer"}}},"GetOrderStatusResponseModel":{"type":"array","items":{"type":"object"}},"GetPartnerOrderRequestModel":{"type":"object","required":["offset","limit","partner_id","isStatusWithComplete"],"properties":{"offset":{"type":"integer"},"limit":{"type":"integer"},"partner_id":{"type":"integer"},"isStatusWithComplete":{"type":"boolean"}}},"GetPartnerOrderResponseModel":{"type":"object","properties":{"orders":{"type":"array","items":{"type":"object"}},"count":{"type":"integer"}}},"GetOrderStatusListResponseModel":{"type":"array","items":{"type":"object"}},"UpdateOrderRequestModel":{"type":"object","required":["order_id","send_notificatino","status_id","partner_id"],"properties":{"order_id":{"type":"integer"},"send_notificatino":{"type":"boolean"},"customer_status_images":{"type":"array","items":{"type":"string"}},"internal_status_images":{"type":"array","items":{"type":"string"}},"internal_notes":{"type":"string"},"customer_notes":{"type":"string"},"status_id":{"type":"integer"},"partner_id":{"type":"integer"}}},"UpdateOrderResponseModel":{"type":"object","properties":{"status":{"type":"boolean"}}},"GetDashboardOrderCountResponseModel":{"type":"object"},"GetAssignOrderRequestModel":{"type":"object","required":["orderId","partnerId"],"properties":{"orderId":{"type":"integer"},"partnerId":{"type":"integer"}}},"GetAssignOrderResponseModel":{"type":"object","properties":{"message":{"type":"string"}}},"GetPaymentMethodsResponseModel":{"type":"object"},"StripePaymentRequestModel":{"type":"object","required":["stripeTokenId","amount","isTemp","customerStripToken","recaptchaValidation"],"properties":{"stripeTokenId":{"type":"string"},"amount":{"type":"integer"},"isTemp":{"type":"boolean"},"customerStripToken":{"type":"string"},"recaptchaValidation":{"type":"string"}}},"StripePaymentResponseModel":{"type":"object","properties":{"message":{"type":"string"}}},"RecaptchaRequestModel":{"type":"object","required":["recaptcha"],"properties":{"recaptcha":{"type":"string"}}},"RecaptchaResponseModel":{"type":"object","properties":{"status":{"type":"boolean"},"message":{"type":"string"}}},"GetProductByCategoryIdRequestModel":{"type":"object","required":["category_id","customer_id","service_id","offset","limit","address_id","address_type","product_id"],"properties":{"category_id":{"type":"string"},"customer_id":{"type":"string"},"service_id":{"type":"string"},"offset":{"type":"integer"},"limit":{"type":"integer"},"address_id":{"type":"integer"},"address_type":{"type":"string"},"product_id":{"type":"integer"}}},"GetProductByCategoryIdResponseModel":{"type":"object","properties":{"productList":{"type":"array","items":{"type":"object"}},"count":{"type":"integer"}}},"GetAddOnProductRequestModel":{"type":"object","required":["product_id"],"properties":{"product_id":{"type":"integer"}}},"GetAddOnProductResponseModel":{"type":"object","properties":{"productList":{"type":"array","items":{"type":"object"}}}},"RequestServiceAreaRequestModel":{"type":"object","required":["city","state","customer_id"],"properties":{"city":{"type":"string"},"state":{"type":"string"},"customer_id":{"type":"integer"},"notes":{"type":"string"}}},"RequestServiceAreaResponseModel":{"type":"object","properties":{"message":{"type":"string"}}},"GetServiceResponseModel":{"type":"array","items":{"type":"object"}},"GetAddOnServiceResponseModel":{"type":"array","items":{"type":"object"}},"GetCustomerWalletResponseModel":{"type":"object"},"WalletPaymentRequestModel":{"type":"object","required":["walletAmount","amount","customer_id"],"properties":{"walletAmount":{"type":"integer"},"amount":{"type":"integer"},"customer_id":{"type":"integer"}}},"WalletPaymentResponseModel":{"type":"object","properties":{"message":{"type":"string"}}},"AddWalletRequestModel":{"type":"object","required":["customer_id","amount"],"properties":{"customer_id":{"type":"integer"},"amount":{"type":"integer"}}},"AddWalletResponseModel":{"type":"object","properties":{"message":{"type":"string"}}},"AddCardRequestModel":{"type":"object","required":["customer_id","card_number","card_exp_month","card_exp_year","card_cvc"],"properties":{"customer_id":{"type":"integer"},"card_number":{"type":"string"},"card_exp_month":{"type":"string"},"card_exp_year":{"type":"string"},"card_cvc":{"type":"string"},"name_on_card":{"type":"string"},"nick_name":{"type":"string"},"is_default_billing_address":{"type":"boolean"}}},"AddCardResponseModel":{"type":"object","properties":{"message":{"type":"string"}}},"GetCardResponseModel":{"type":"object"},"EditCardRequestModel":{"type":"object","required":["stripeCardId","card_number","card_exp_month","card_exp_year","card_cvc"],"properties":{"stripeCardId":{"type":"string"},"customer_id":{"type":"integer"},"card_exp_month":{"type":"integer"},"card_exp_year":{"type":"integer"},"card_cvc":{"type":"integer"},"name_on_card":{"type":"string"},"nick_name":{"type":"string"},"is_default_billing_address":{"type":"boolean"}}},"EditCardResponseModel":{"type":"object","properties":{"message":{"type":"string"}}},"DeleteCardRequestModel":{"type":"object","required":["stripeCardId","customer_id"],"properties":{"stripeCardId":{"type":"string"},"customer_id":{"type":"integer"}}},"DeleteCardResponseModel":{"type":"object","properties":{"message":{"type":"string"}}},"PartnerLoginRequestModel":{"type":"object","required":["email","fcm_token","password"],"properties":{"email":{"type":"string"},"password":{"type":"string"},"fcm_token":{"type":"string"}}},"PartnerLoginResponseModel":{"type":"object"},"PartnerUpdateProfileRequestModel":{"type":"object","properties":{"email":{"type":"string"},"password":{"type":"string"},"delivery_boy_name":{"type":"string"},"phone_number":{"type":"integer"}}},"PartnerUpdateProfileResponseModel":{"type":"object"},"PartnerProfilePictureEditRequestModel":{"type":"object","required":["delivery_boy_id","profile_picture"],"properties":{"delivery_boy_id":{"type":"number"},"profile_picture":{"type":"string"}}},"PartnerProfilePictureEditResponseModel":{"type":"object"}},"host":"virtserver.swaggerhub.com","basePath":"/6degree/99dpf/1.0.0","schemes":["https","http"]}